import request from '@/utils/request'

// 查询工单审核列表
export function listNode(query) {
    return request({
        url: '/iot/node/list',
        method: 'get',
        params: query
    })
}

// 查询工单审核详细
export function getNode(nodeId) {
    return request({
        url: '/iot/node/' + nodeId,
        method: 'get'
    })
}

// 新增工单审核
export function addNode(data) {
    return request({
        url: '/iot/node',
        method: 'post',
        data: data
    })
}

// 修改工单审核
export function updateNode(data) {
    return request({
        url: '/iot/node',
        method: 'put',
        data: data
    })
}

// 删除工单审核
export function delNode(nodeId) {
    return request({
        url: '/iot/node/' + nodeId,
        method: 'delete'
    })
}

// 导出工单审核
export function exportNode(query) {
    return request({
        url: '/iot/node/export',
        method: 'get',
        params: query
    })
}
